export declare class BbAuthConfig {
    endpoints?: {
        login?: string;
        logout?: string;
        refresh?: string;
        resetPassword?: string;
        requestPassword?: string;
    };
    routes: {
        redirectUrl: string;
    };
    data?: {
        role?: string;
    };
    map?: {
        login?: (data: any) => LoginResponse;
        refresh?: (data: any) => RefreshResponse;
    };
}
export interface LoginResponse {
    accessToken: string;
    refreshToken: string;
    user: object;
}
export interface RefreshResponse {
    accessToken: string;
    refreshToken: string;
}
